# frozen_string_literal: true

#--
# Copyright (C) 2021 - Octopus Lab SAS
# All rights are described by the GPLv3 license present in the file /LICENSE available in the
# original repository of this file or [here](https://www.gnu.org/licenses/gpl-3.0.fr.html).
#++
module GouvCalendarCompilator
  module ZoneDepartmentMatching
    FRANCE = {
      '01': 'Zone A',
      '02': 'Zone B',
      '03': 'Zone A',
      '04': 'Zone B',
      '05': 'Zone B',
      '06': 'Zone B',
      '07': 'Zone A',
      '08': 'Zone B',
      '09': 'Zone C',
      '10': 'Zone B',
      '11': 'Zone C',
      '12': 'Zone C',
      '13': 'Zone B',
      '14': 'Zone B',
      '15': 'Zone A',
      '16': 'Zone A',
      '17': 'Zone A',
      '18': 'Zone B',
      '19': 'Zone A',
      '21': 'Zone A',
      '22': 'Zone B',
      '23': 'Zone A',
      '24': 'Zone A',
      '25': 'Zone A',
      '26': 'Zone A',
      '27': 'Zone B',
      '28': 'Zone B',
      '29': 'Zone B',
      '2a': 'Corse',
      '2b': 'Corse',
      '30': 'Zone C',
      '31': 'Zone C',
      '32': 'Zone C',
      '33': 'Zone A',
      '34': 'Zone C',
      '35': 'Zone B',
      '36': 'Zone B',
      '37': 'Zone B',
      '38': 'Zone A',
      '39': 'Zone A',
      '40': 'Zone A',
      '41': 'Zone B',
      '42': 'Zone A',
      '43': 'Zone A',
      '44': 'Zone B',
      '45': 'Zone B',
      '46': 'Zone C',
      '47': 'Zone A',
      '48': 'Zone C',
      '49': 'Zone B',
      '50': 'Zone B',
      '51': 'Zone B',
      '52': 'Zone B',
      '53': 'Zone B',
      '54': 'Zone B',
      '55': 'Zone B',
      '56': 'Zone B',
      '57': 'Zone B',
      '58': 'Zone A',
      '59': 'Zone B',
      '60': 'Zone B',
      '61': 'Zone B',
      '62': 'Zone B',
      '63': 'Zone A',
      '64': 'Zone A',
      '65': 'Zone C',
      '66': 'Zone C',
      '67': 'Zone B',
      '68': 'Zone B',
      '69': 'Zone A',
      '70': 'Zone A',
      '71': 'Zone A',
      '72': 'Zone B',
      '73': 'Zone A',
      '74': 'Zone A',
      '75': 'Zone C',
      '76': 'Zone B',
      '77': 'Zone C',
      '78': 'Zone C',
      '79': 'Zone A',
      '80': 'Zone B',
      '81': 'Zone C',
      '82': 'Zone C',
      '83': 'Zone B',
      '84': 'Zone B',
      '85': 'Zone B',
      '86': 'Zone A',
      '87': 'Zone A',
      '88': 'Zone B',
      '89': 'Zone A',
      '90': 'Zone A',
      '91': 'Zone C',
      '92': 'Zone C',
      '93': 'Zone C',
      '94': 'Zone C',
      '95': 'Zone C',
      '971': 'Guadeloupe',
      '972': 'Martinique',
      '973': 'Guyane',
      '974': 'Réunion',
      '975': 'Saint Pierre et Miquelon',
      '976': 'Mayotte',
      '977': 'Saint-Barthélemy',
      '978': 'Saint-Martin',
      '986': 'Wallis et Futuna',
      '987': 'Polynésie',
      '988': 'Nouvelle Calédonie',
      '984': 'Terres australes et antarctiques françaises',
      '989': 'Clipperton'
    }.freeze
    public_constant :FRANCE
  end
end
